System.Xml [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 To be added System.Object System.Collections.IEnumerable

Changes to the children of the node object that the collection was created from are immediately reflected in the nodes returned by the XmlNodeList properties and methods. XmlNodeList supports iteration and indexed access.

XmlNodeList is returned by the following properties and methods.

- Returns an XmlNodeList containing all the children of the node.

- Returns an XmlNodeList containing a collection of nodes matching the XPath query.

GetElementsByTagName - Returns an XmlNodeList containing a list of all descendant elements that match the specified name. This method is available in both the and classes.

Represents an ordered collection of nodes.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added: an object of type 'int' To be added

  Gets the number of nodes in the XmlNodeList.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Collections.IEnumerator

  Provides a simple "foreach" style iteration over the collection of nodes in the XmlNodeList.

  Gets an enumerator that iterates through the collection of nodes.

  An enumerator used to iterate through the collection of nodes.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlNode `` To be added

  Retrieves a node at the given index.

  The with the specified index in the collection. If is greater than or equal to the number of nodes in the list, this returns null.

  The zero-based index into the list of nodes.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlNode `` To be added. To be added. To be added. To be added.